﻿#region Copyright © 2013 Miracle Business Solutions
// All rights are reserved. Reproduction or transmission in whole or in part,
// any form or by any means, electronic, mechanical or otherwise, is prohibited
// without the prior written consent of the copyright owner.
// 
// Document:	AutoFocus\GUI.cs
// Creation Date:	24/11/2013
// Last Edit:		24/11/2013
// Author:		Moreno Sint Hill
#endregion

using System;
using System.Drawing;
using System.Windows.Forms;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;

namespace AutoFocus
{
    public partial class GUI : Form
    {
        public GUI()
        {
            Styx.AutoFocus.AFSettings.Instance.Load();
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //Set Name
           Styx.AutoFocus.AFSettings.Instance.FocusName = tbName.Text;
            //Search
            var unit = ObjectManager.GetObjectsOfTypeFast<WoWPlayer>()
                    .Find(a => a.Name.Equals(Styx.AutoFocus.AFSettings.Instance.FocusName));

            if (unit != null && unit.IsValid)
            {
                Styx.AutoFocus.AFSettings.Instance.FocusGUID = unit.Guid;
                tbGUID.Text = "Succeeded";
                tbGUID.ForeColor = Color.Green;
            }
            else
            {
                tbGUID.Text = "Failed";
                tbGUID.ForeColor = Color.Red;
            }
        }
    }
}
